%define url_ver %(echo %version | cut -d. -f1,2)

%define         pkgname        libgtop

%define         api_version    2.0
%define         lib_major      10
%define         libname        %mklibname gtop %{api_version} %{lib_major}
%define         libgirname     %mklibname gtop-gir %{api_version}
%define         libnamedev     %mklibname -d gtop %{api_version}

%define         last_abi_break_version 2.14.0

Summary:        The LibGTop library
Name:           %{pkgname}2
Version:        2.36.0
Release:        %mkrel 1
License:        GPLv2+
Group:          System/Libraries
URL:            http://www.gnome.org/
Source0:        https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:  pkgconfig(glib-2.0) >= 2.6.0
BuildRequires:  pkgconfig(xau)
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  gobject-introspection-devel >= 0.6.7
BuildRequires:  texinfo

%description
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.
On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package -n %{libname}
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{pkgname}%{api_version} = %{version}-%{release}
Requires:       %{name} >= %{version}

%description -n %{libname}
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.
On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package -n %{libgirname}
Summary:        GObject Introspection interface description for %name
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{libgirname}
GObject Introspection interface description for %name.

%package -n %{libnamedev}
Summary:        Development files for %{pkgname}
Group:          Development/GNOME and GTK+
Provides:       %{pkgname}%{api_version}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libgirname} = %{version}-%{release}
Conflicts:      %{pkgname}%{api_version}-devel < %{last_abi_break_version}

%description -n %{libnamedev}
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.
Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%find_lang %{pkgname}

find %{buildroot} -name "*.la" -delete

%post -n %{libnamedev}
%_install_info %{name}.info

%postun -n %{libnamedev}
%_remove_install_info %{name}.info

%files -f %{pkgname}.lang
%doc NEWS README

%files -n %{libname}
%doc NEWS README
%{_libdir}/lib*.so.%{lib_major}{,.*}

%files -n %{libgirname}
%{_libdir}/girepository-1.0/GTop-%{api_version}.typelib

%files -n %{libnamedev}
%doc AUTHORS ChangeLog
%doc %_datadir/gtk-doc/html/*
%{_includedir}/%{pkgname}-%{api_version}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GTop-%{api_version}.gir
%{_infodir}/*.info*


%changelog
* Tue Mar 21 2017 ovitters <ovitters> 2.36.0-1.mga6
+ Revision: 1093940
- new version 2.36.0

* Mon Jan 16 2017 ovitters <ovitters> 2.34.2-1.mga6
+ Revision: 1082069
- new version 2.34.2

* Mon Sep 26 2016 tv <tv> 2.34.1-2.mga6
+ Revision: 1056840
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 25 2016 ovitters <ovitters> 2.34.1-1.mga6
+ Revision: 1056079
- new version 2.34.1

* Tue Mar 22 2016 ovitters <ovitters> 2.34.0-1.mga6
+ Revision: 993921
- new version 2.34.0

* Mon Feb 29 2016 ovitters <ovitters> 2.33.91-1.mga6
+ Revision: 981021
- new version 2.33.91

* Mon Jan 18 2016 ovitters <ovitters> 2.33.4-1.mga6
+ Revision: 925605
- new version 2.33.4

* Mon Dec 14 2015 ovitters <ovitters> 2.33.3-1.mga6
+ Revision: 910413
- new version 2.33.3

* Thu Oct 08 2015 ovitters <ovitters> 2.32.0-1.mga6
+ Revision: 887908
- new version 2.32.0

* Mon Sep 14 2015 ovitters <ovitters> 2.31.91-1.mga6
+ Revision: 879419
- new version 2.31.91
- new version 2.31.90

* Mon Aug 10 2015 ovitters <ovitters> 2.31.4-1.mga6
+ Revision: 862388
- new version 2.31.4

* Mon Jun 29 2015 wally <wally> 2.31.3-2.mga6
+ Revision: 847545
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 ovitters <ovitters> 2.31.3-1.mga6
+ Revision: 839842
- new version 2.31.3

* Wed Oct 15 2014 umeabot <umeabot> 2.30.0-4.mga5
+ Revision: 742431
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 2.30.0-3.mga5
+ Revision: 724915
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 2.30.0-2.mga5
+ Revision: 681514
- Mageia 5 Mass Rebuild

* Thu May 29 2014 ovitters <ovitters> 2.30.0-1.mga5
+ Revision: 627683
- update major
- new version 2.30.0

* Sat Oct 19 2013 umeabot <umeabot> 2.28.5-2.mga4
+ Revision: 533228
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 dams <dams> 2.28.5-1.mga4
+ Revision: 472242
- new version 2.28.5

  + wally <wally>
    - clean .spec

* Sat Aug 24 2013 wally <wally> 2.28.4-4.mga4
+ Revision: 470782
- drop unneeded requires

* Sat Jan 12 2013 umeabot <umeabot> 2.28.4-3.mga3
+ Revision: 357422
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 2.28.4-2.mga3
+ Revision: 314623
- Fix group, clean specfile, rebuild for mga3

* Tue Aug 30 2011 fwang <fwang> 2.28.4-1.mga2
+ Revision: 136548
- new version 2.28.4
- enable gir

* Sat Apr 16 2011 pterjan <pterjan> 2.28.3-1.mga1
+ Revision: 86667
- Update to 2.28.3

* Wed Jan 19 2011 blino <blino> 2.28.2-2.mga1
+ Revision: 23640
- remove old ldconfig scriptlets
- imported package libgtop2


* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2011.0
+ Revision: 581731
- update to new version 2.28.2

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 529817
- update to new version 2.28.1

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.28.0-2mdv2010.1
+ Revision: 520866
- rebuilt for 2010.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446455
- update to new version 2.28.0

* Mon May 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 379685
- new version
- drop patch

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 374170
- new version

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366956
- update to new version 2.26.1

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 346859
- update to new version 2.26.0

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341274
- update to new version 2.25.91

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 2.24.4-1mdv2009.1
+ Revision: 331535
- update to new version 2.24.4

* Tue Jan 13 2009 Götz Waschk <waschk@mandriva.org> 2.24.3-1mdv2009.1
+ Revision: 328859
- new version
- fix format strings

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287333
- new version

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273558
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 230989
- new version

* Tue Jul 01 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 230464
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Funda Wang <fwang@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211509
- New version 2.22.2

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192447
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183774
- new version
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175045
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 151899
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.1-3mdv2008.1
+ Revision: 109124
- Remove patch0, no longer useful
- Clean specfile
- Tag gtk-doc files as doc

* Tue Oct 30 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-2mdv2008.1
+ Revision: 103783
- fix buildrequires

* Tue Oct 30 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 103737
- new version

* Sun Sep 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 88487
- new version

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 71783
- new version

* Sun Aug 26 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 71582
- new version
- new devel name

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50852
- new version

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 41018
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.3-2mdv2008.0
+ Revision: 36183
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Wed May 09 2007 Götz Waschk <waschk@mandriva.org> 2.14.9-1mdv2008.0
+ Revision: 25403
- new version


* Sun Feb 25 2007 Götz Waschk <waschk@mandriva.org> 2.14.8-1mdv2007.0
+ Revision: 125667
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.14.7-1mdv2007.1
+ Revision: 118864
- new version

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.14.6-1mdv2007.1
+ Revision: 108926
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.14.5-1mdv2007.1
+ Revision: 90735
- fix buildrequires
- new version
- unpack patch
- add gtk-doc files
- rebuild
- rebuild
- Import libgtop2

* Thu Sep 21 2006 Gtz Waschk <waschk@mandriva.org> 2.14.4-1mdv2007.0
- New version 2.14.4

* Thu Sep 07 2006 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdv2007.0
- New version 2.14.3

* Sat Aug 12 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-2mdv2007.0
- fix buildrequires

* Sat Jul 29 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-2mdk
- Fix conflicts to ease upgrade

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Use mkrel

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.12.0

* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.3-1mdk
- New release 2.8.3

* Tue Dec 07 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- New release 2.8.2

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Add conflicts to easy upgrade

* Thu Apr 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- new version

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.5.2-1mdk
- New release 2.5.2
- Remove patches 1, 2 (merged upstream)

* Wed Feb 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-4mdk
- Fix distlint error

